using different font families with?LaTeX-generated text

Darren Dale <dd55@...163...> writes:

Well, if ever there was a compelling use-case for an
undocumented/unsupported feature it would be this one, I think.

Alright, svn 3277 lets you add additional commands to the preamble:

text.latex.preamble : \usepackage{bm},\renewcommand{etc...}

See the default matplotlibrc file for more information.

THIS FEATURE IS NOT SUPPORTED. Please don't report problems on the mpl mailing
lists without submitting a patch to fix them.

Alex, please give this a spin. Tell me if it meets your needs, and if it
doesnt, send a patch.

Great! Thanks for incorporating this! It fits my needs, but I sent a (mostly
unreleated) patch anyway (against 3278) :slight_smile:

cheers,

'as

Dear Darren,

I know “text.latex.preamble” is not supported, but since I upgraded to
Matplotlib 0.91.1 my latex preamble code which was working perfectly
well in 0.90.1, now gives my the follow errors (both on openSUSE &
XP):

`In [1]: run overlap_vs_concentrated.py

C:\Python\lib\site-packages\matplotlib_init_.py:606: UserWarning:
Bad val "\u

sepackage[cmex10]{amsmath},\usepackage{helvet},\usepackage{sansserifmath}"
on li

ne #128

    "text.latex.preamble       :

\usepackage[cmex10]{amsmath},\usepackage{he

lvet},\usepackage{sansserifmath}

"

    in file "c:\My Documents\My

Publications\PEDS-2007\Paper_I\Presentation\

python\matplotlibrc"

    global name 'verbose' is not defined

“%s”\n\t%s’ % (val, cnt, line, fname, msg))

`

Has the syntax changed… or is this a bug…?

I also get this error message w.r.t. to “verbose” which isn’t critical
but annoying…

Kind regards,

Peter-Jan

Op 2007/05/18 18:05, het Alexander Schmolck die volgende geskryf:

···

<dd55@…163…>http://sourceforge.net/powerbar/db2/Matplotlib-users@lists.sourceforge.nethttps://lists.sourceforge.net/lists/listinfo/matplotlib-users

Somebody reported it right after 0.91.1 was released. It has been fixed in
svn. To hold you over until the next release, I think you just need to update
your matplotlib/__init__.py and matplotlib/rcsetup.py.

···

On Tuesday 18 December 2007 10:07:28 am Peter-Jan Randewijk wrote:

Dear Darren,

I know "text.latex.preamble" is not supported, but since I upgraded to
Matplotlib 0.91.1 my latex preamble code which was working perfectly
well in 0.90.1, now gives my the follow errors (both on openSUSE & XP):

In [1]: run overlap_vs_concentrated.py
C:\Python\lib\site-packages\matplotlib\__init__.py:606: UserWarning: Bad
val "\u
sepackage[cmex10]{amsmath},\usepackage{helvet},\usepackage{sansserifmath}"
on li
ne #128
        "text.latex.preamble :
\usepackage[cmex10]{amsmath},\usepackage{he
lvet},\usepackage{sansserifmath}
"
        in file "c:\My Documents\My
Publications\PEDS-2007\Paper_I\Presentation\
python\matplotlibrc"
        global name 'verbose' is not defined
  "%s"\n\t%s' % (val, cnt, line, fname, msg))

Has the syntax changed... or is this a bug...?

I also get this error message w.r.t. to "verbose" which isn't critical
but annoying...

Kind regards,

Peter-Jan

Op 2007/05/18 18:05, het Alexander Schmolck die volgende geskryf:
> Darren Dale <dd55@...163...> writes:
>>> Well, if ever there was a compelling use-case for an
>>> undocumented/unsupported feature it would be this one, I think.
>>
>> Alright, svn 3277 lets you add additional commands to the preamble:
>>
>> text.latex.preamble : \usepackage{bm},\renewcommand{etc...}
>>
>> See the default matplotlibrc file for more information.
>>
>> THIS FEATURE IS NOT SUPPORTED. Please don't report problems on the mpl
>> mailing lists without submitting a patch to fix them.
>>
>> Alex, please give this a spin. Tell me if it meets your needs, and if it
>> doesnt, send a patch.
>
> Great! Thanks for incorporating this! It fits my needs, but I sent a
> (mostly unreleated) patch anyway (against 3278) :slight_smile:
>
> cheers,
>
> 'as
>
> -------------------------------------------------------------------------
> This SF.net email is sponsored by DB2 Express
> Download DB2 Express C - the FREE version of DB2 express and take
> control of your XML. No limits. Just data. Click to get it now.
> http://sourceforge.net/powerbar/db2/
> _______________________________________________
> Matplotlib-users mailing list
> Matplotlib-users@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/matplotlib-users

--
Darren S. Dale, Ph.D.
Staff Scientist
Cornell High Energy Synchrotron Source
Cornell University
275 Wilson Lab
Rt. 366 & Pine Tree Road
Ithaca, NY 14853

darren.dale@...163...
office: (607) 255-3819
fax: (607) 255-9001
http://www.chess.cornell.edu

Darren,

Thanks for the quick reply... It works like a charm... Somehow I missed the post in the userslist...

Kind regards,

Peter-Jan

Op 2007/12/18 17:25, het Darren Dale die volgende geskryf:

···

Somebody reported it right after 0.91.1 was released. It has been fixed in svn. To hold you over until the next release, I think you just need to update your matplotlib/__init__.py and matplotlib/rcsetup.py.

On Tuesday 18 December 2007 10:07:28 am Peter-Jan Randewijk wrote:
  

Dear Darren,

I know "text.latex.preamble" is not supported, but since I upgraded to
Matplotlib 0.91.1 my latex preamble code which was working perfectly
well in 0.90.1, now gives my the follow errors (both on openSUSE & XP):

In [1]: run overlap_vs_concentrated.py
C:\Python\lib\site-packages\matplotlib\__init__.py:606: UserWarning: Bad
val "\u
sepackage[cmex10]{amsmath},\usepackage{helvet},\usepackage{sansserifmath}"
on li
ne #128
        "text.latex.preamble :
\usepackage[cmex10]{amsmath},\usepackage{he
lvet},\usepackage{sansserifmath}
"
        in file "c:\My Documents\My
Publications\PEDS-2007\Paper_I\Presentation\
python\matplotlibrc"
        global name 'verbose' is not defined
  "%s"\n\t%s' % (val, cnt, line, fname, msg))

Has the syntax changed... or is this a bug...?

I also get this error message w.r.t. to "verbose" which isn't critical
but annoying...

Kind regards,

Peter-Jan

Op 2007/05/18 18:05, het Alexander Schmolck die volgende geskryf:
    

Darren Dale <dd55@...163...> writes:
      

Well, if ever there was a compelling use-case for an
undocumented/unsupported feature it would be this one, I think.
          

Alright, svn 3277 lets you add additional commands to the preamble:

text.latex.preamble : \usepackage{bm},\renewcommand{etc...}

See the default matplotlibrc file for more information.

THIS FEATURE IS NOT SUPPORTED. Please don't report problems on the mpl
mailing lists without submitting a patch to fix them.

Alex, please give this a spin. Tell me if it meets your needs, and if it
doesnt, send a patch.
        

Great! Thanks for incorporating this! It fits my needs, but I sent a
(mostly unreleated) patch anyway (against 3278) :slight_smile:

cheers,

'as

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/
_______________________________________________
Matplotlib-users mailing list
Matplotlib-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/matplotlib-users

Darren,

Thanks for the quick reply... It works like a charm... Somehow I
missed the post in the userslist...

You're off the hook :slight_smile: It was posted at the sourceforge bugtracker, not on the
mailing list.

···

On Tuesday 18 December 2007 10:55:36 am Peter-Jan Randewijk wrote:

Op 2007/12/18 17:25, het Darren Dale die volgende geskryf:
> Somebody reported it right after 0.91.1 was released. It has been fixed
> in svn. To hold you over until the next release, I think you just need to
> update your matplotlib/__init__.py and matplotlib/rcsetup.py.
>
> On Tuesday 18 December 2007 10:07:28 am Peter-Jan Randewijk wrote:
>> Dear Darren,
>>
>> I know "text.latex.preamble" is not supported, but since I upgraded to
>> Matplotlib 0.91.1 my latex preamble code which was working perfectly
>> well in 0.90.1, now gives my the follow errors (both on openSUSE & XP):
>>
>> In [1]: run overlap_vs_concentrated.py
>> C:\Python\lib\site-packages\matplotlib\__init__.py:606: UserWarning: Bad
>> val "\u
>> sepackage[cmex10]{amsmath},\usepackage{helvet},\usepackage{sansserifmath
>>}" on li
>> ne #128
>> "text.latex.preamble :
>> \usepackage[cmex10]{amsmath},\usepackage{he
>> lvet},\usepackage{sansserifmath}
>> "
>> in file "c:\My Documents\My
>> Publications\PEDS-2007\Paper_I\Presentation\
>> python\matplotlibrc"
>> global name 'verbose' is not defined
>> "%s"\n\t%s' % (val, cnt, line, fname, msg))
>>
>> Has the syntax changed... or is this a bug...?
>>
>> I also get this error message w.r.t. to "verbose" which isn't critical
>> but annoying...
>>
>> Kind regards,
>>
>> Peter-Jan
>>
>> Op 2007/05/18 18:05, het Alexander Schmolck die volgende geskryf:
>>> Darren Dale <dd55@...163...> writes:
>>>>> Well, if ever there was a compelling use-case for an
>>>>> undocumented/unsupported feature it would be this one, I think.
>>>>
>>>> Alright, svn 3277 lets you add additional commands to the preamble:
>>>>
>>>> text.latex.preamble : \usepackage{bm},\renewcommand{etc...}
>>>>
>>>> See the default matplotlibrc file for more information.
>>>>
>>>> THIS FEATURE IS NOT SUPPORTED. Please don't report problems on the mpl
>>>> mailing lists without submitting a patch to fix them.
>>>>
>>>> Alex, please give this a spin. Tell me if it meets your needs, and if
>>>> it doesnt, send a patch.
>>>
>>> Great! Thanks for incorporating this! It fits my needs, but I sent a
>>> (mostly unreleated) patch anyway (against 3278) :slight_smile:
>>>
>>> cheers,
>>>
>>> 'as
>>>
>>> -----------------------------------------------------------------------
>>>-- This SF.net email is sponsored by DB2 Express
>>> Download DB2 Express C - the FREE version of DB2 express and take
>>> control of your XML. No limits. Just data. Click to get it now.
>>> http://sourceforge.net/powerbar/db2/
>>> _______________________________________________
>>> Matplotlib-users mailing list
>>> Matplotlib-users@lists.sourceforge.net
>>> https://lists.sourceforge.net/lists/listinfo/matplotlib-users

--
Darren S. Dale, Ph.D.
Staff Scientist
Cornell High Energy Synchrotron Source
Cornell University
275 Wilson Lab
Rt. 366 & Pine Tree Road
Ithaca, NY 14853

darren.dale@...163...
office: (607) 255-3819
fax: (607) 255-9001
http://www.chess.cornell.edu